<template>
  <authenticated>
    <div class="bg-white shadow-lg p-5">
      <header class="text-gray-600 py-3 pb-5 flex justify-between">
        <h3 class="text-xl">ผลิตภัณฑ์และสินค้าOTOP</h3>

        <inertia-link
          :href="route('admin.products.create')"
          class="
            transition
            duration-200
            ease-in-out
            transform
            hover:-translate-y-1
            px-3
            py-1
            bg-gradient-to-r
            from-blue-500
            to-green-300
            rounded-md
            text-white
            shadow-md
            focus:outline-none
          "
        >
          เพิ่มผลิตภัณฑ์
        </inertia-link>
      </header>
      <div id="content">
        <product-table :product="data" />
        <div v-if="products.links.length > 3" class="mt-5">
          <pagination :links="products.links" />
        </div>
      </div>
    </div>
  </authenticated>
</template>

<script>
import Authenticated from "@/Layouts/Authenticated.vue";
import { toRefs } from "@vue/reactivity";
import { computed } from "@vue/runtime-core";
import ProductTable from "@/Components/Product/ProductTable.vue";
import Pagination from '@/Components/Pagination.vue';
export default {
  components: { Authenticated, ProductTable, Pagination },
  props: {
    products: Object,
  },
  setup(props) {
    const { products } = toRefs(props);
    const data = computed(() => products.value.data);
    return {
      products,
      data,
    };
  },
};
</script>

<style>
</style>
